Purge old instances from wmflabs Shinken
Closed, InvalidPublic

Description

Shinken reports instances being down however they have been deleted. Some clean up has to be conducted in I guess wmflabs LDAP.

integration-puppetmastershut down on Sept 21th. Replaced by integration-puppetmaster01
deployment-puppetmastershut down early November by @Krenair. Replaced by deployment-puppetmaster02
deployment-pdf02shut down on Oct 24 by @Krenair for T142288 . Trusty I guess replaced by a Jessie one
deployment-conftoolshut down on Oct 24 by @Krenair for T142288.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 9 2016, 3:56 PM
Krenair added a subscriber: Krenair.

Shinken gets the data from LDAP. Most of these are wrong though, the instances still exist.

Krenair closed this task as Invalid.Nov 9 2016, 7:49 PM

Actually all of them are wrong, all of these exist

hashar reopened this task as Open.Nov 22 2016, 8:26 AM
hashar triaged this task as High priority.
hashar updated the task description. (Show Details)

Reopened. Shinken still complains / notify about it. Turns out that all the instances were shutdown as the services they hosted got migrated to new instances. We no more need them hence I am going to delete them all which should shut off the Shinken alarms.

Mentioned in SAL (#wikimedia-releng) [2016-11-22T08:29:48Z] <hashar> Deleting shut off instances: integration-puppetmaster , deployment-puppetmaster , deployment-pdf02 , deployment-conftool - T150339

hashar closed this task as Resolved.Nov 22 2016, 8:30 AM
hashar claimed this task.

Should be good now :]

Krenair changed the task status from Resolved to Invalid.Nov 22 2016, 9:55 AM

No, deployment-pdf02 was not replaced by a jessie instance. Do not delete instances you do not know about. -pdf02 and -conftool were seen to possibly be redundant in T142288. It is unknown whether they contained any important data.